Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002771 [JEDI VCL] 00 JVCL Components major always 2005-03-18 00:37 2005-03-20 15:10
Reporter SVitaliy View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002771: Error after close JvDockableForm with children’s forms
Description Error occurs in following steps:
1) Create two or more forms with TJvDockClient (design-time)
2) Dock forms into one of them (any position, except TabbedMode)
3) Close dock container (JvDockableForm)
4) Executing method show for this forms, has no effect

P.S. In TabbedMode, all work correct.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006723)
SVitaliy (reporter)
2005-03-18 01:04

I make mistacke.
I'm not executing method Show. I'm executing procedure ShowDockForm.
(0006738)
remkobonte (developer)
2005-03-18 14:26

I can not reproduce the bug.. At which step does the error happen: 3? 4? What dock style do you use?

Please try to make an application that shows the bug and upload it to this bug-report.

Also check which version of JvDockControlForm.pas you have (located at the top of the pas file; for example I have:

// $Id: JvDockControlForm.pas,v 1.65 2005/03/16 22:48:59 remkobonte Exp $

Copie that text here.
(0006739)
SVitaliy (reporter)
2005-03-18 15:03

Error in terms "Logic Error" not exception.

For test you may use "Examples\jvDocking\VIDDemo".
Possible steps to reproduce:
 1)Execute View\Project Explorer
 2)Execute View\Properties Window
 3)Drag form Project Explorer on form Properties Window (any position except Tabbing Mode)
 4)Close dock container form
 5)Execute View\Project Explorer or Execute View\Properties Window - NOTHING HAPPEN

I download library yesterday (// $Id: JvDockControlForm.pas,v 1.65 2005/03/16 22:48:59 remkobonte Exp $)

Dock style has no matter.

If at step 4) you close Project Explorer instead of container, step 5) will work correctly.
(0006740)
remkobonte (developer)
2005-03-18 15:45

Ah, okay now I understand and I can reproduce it.

I'll check it.
(0006746)
remkobonte (developer)
2005-03-20 15:10

This is now fixed in CVS.

- Issue History
Date Modified Username Field Change
2005-03-18 00:37 SVitaliy New Issue
2005-03-18 01:04 SVitaliy Note Added: 0006723
2005-03-18 14:26 remkobonte Note Added: 0006738
2005-03-18 14:26 remkobonte Status new => feedback
2005-03-18 15:03 SVitaliy Note Added: 0006739
2005-03-18 15:45 remkobonte Note Added: 0006740
2005-03-18 15:45 remkobonte Status feedback => assigned
2005-03-18 15:45 remkobonte Assigned To => remkobonte
2005-03-20 15:10 remkobonte Status assigned => resolved
2005-03-20 15:10 remkobonte Resolution open => fixed
2005-03-20 15:10 remkobonte Note Added: 0006746


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker